ISOTPSEND(1)

NAME
isotpsend - manual page for isotpsend 2023.03-1build1

SYNOPSIS
isotpsend [options] <CAN interface>

OPTIONS

-s <can_id>
    (source can_id. Use 8 digits for extended IDs)

-d <can_id>
    (destination can_id. Use 8 digits for extended IDs)

-x <addr>[:<rxaddr>]
    (extended addressing / opt. separate rxaddr)

-p [tx]:[rx]
    (set and enable tx/rx padding bytes)

-P <mode>
    (check rx padding for (l)ength (c)ontent (a)ll)

-t <time ns>
    (frame transmit time (N_As) in nanosecs) (*)

-f <time ns>
    (ignore FC and force local tx stmin value in nanosecs)

-D <len>
    (send a fixed PDU with len bytes - no STDIN data)

-l <num>
    (send num PDUs - use 'i' for infinite loop)

-g <usecs>
    (wait given usecs before sending a PDU)

-b  (block until the PDU transmission is completed)

-S  (SF broadcast mode - for functional addressing)

-C  (CF broadcast mode - no wait for flow controls)

-L <mtu>:<tx_dl>:<tx_flags>
    (link layer options for CAN FD)

CAN IDs and addresses are given and expected in hexadecimal values. The pdu data is expected on STDIN in space separated ASCII hex values. (*) = Use '-t ZERO' to set N_As to zero for Linux version 5.18+